org.apache.cassandra.io.sstable

## Class Descriptor.Version

- java.lang.Object
- - org.apache.cassandra.io.sstable.Descriptor.Version

Enclosing class:
  Descriptor

    public static class Descriptor.Version
    extends java.lang.Object

### Field Summary

Fields
`static Descriptor.Version` `CURRENT`
`static java.lang.String` `current_version`
`boolean` `hasAllAdlerChecksums`
`boolean` `hasPostCompressionAdlerChecksums`
`boolean` `hasRepairedAt`
`boolean` `hasSamplingLevel`
`boolean` `isLatestVersion`
`boolean` `newStatsFile`
`boolean` `tracksLegacyCounterShards`

### Constructor Summary

Constructors
Constructor and Description
`Descriptor.Version(java.lang.String version)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`boolean` `isCompatible()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### current_version

    public static final java.lang.String current_version

See Also:
  Constant Field Values

#### CURRENT

    public static final Descriptor.Version CURRENT

#### isLatestVersion

    public final boolean isLatestVersion

#### hasPostCompressionAdlerChecksums

    public final boolean hasPostCompressionAdlerChecksums

#### hasSamplingLevel

    public final boolean hasSamplingLevel

#### newStatsFile

    public final boolean newStatsFile

#### hasAllAdlerChecksums

    public final boolean hasAllAdlerChecksums

#### hasRepairedAt

    public final boolean hasRepairedAt

#### tracksLegacyCounterShards

    public final boolean tracksLegacyCounterShards

### Constructor Detail

#### Descriptor.Version

    public Descriptor.Version(java.lang.String version)

### Method Detail

#### isCompatible

    public boolean isCompatible()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`